GST registration
curl --request POST \
--url https://api.privue.ai/gst/v1/gst-info.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gstin": "<string>"
}
'import requests
url = "https://api.privue.ai/gst/v1/gst-info.1"
payload = { "gstin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gstin: '<string>'})
};
fetch('https://api.privue.ai/gst/v1/gst-info.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reasons": [],
"details": {
"gstin": "27AAACE1234F1Z6",
"legal_name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"trade_name": "EXAMPLE TECH",
"registration_date": "2017-07-01",
"cancellation_date": null,
"registration_status": "Active",
"jurisdiction": {
"state": "STATE - MAHARASHTRA,ZONE - MUMBAI,DIVISION - EAST,CHARGE - ANDHERI_EAST_701",
"central": "STATE - CBIC,ZONE - MUMBAI,COMMISSIONERATE - MUMBAI EAST,DIVISION - DIVISION IV"
},
"primary_business_address": {
"street": "UNIT 402, 4TH FLOOR, TECH PARK, ANDHERI KURLA ROAD, ANDHERI EAST",
"city": "MUMBAI",
"state": "Maharashtra",
"country": "India",
"postal_code": "400093"
},
"other_business_address": null,
"business_constitution": "Private Limited Company",
"business_nature": [
"Supplier of Services",
"Office / Sale Office"
],
"taxpayer_type": "Regular",
"e_invoice_mandated": true,
"aggregate_turnover": "Slab: Rs. 5 Cr. to 25 Cr.",
"authorized_signatory": [
"Rahul Mehta",
"Priya Nair"
],
"business_details": {
"goods_details": [],
"service_details": [
{
"service_description": "Information technology (IT) design and development services",
"sac_code": "998314"
}
]
},
"gross_total_income": "Slab: Rs. 1 Cr. to 5 Cr.",
"gross_total_income_financial_year": "2024-25",
"filings": [
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "March",
"status": "Filed",
"filing_date": "2026-04-20",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "March",
"status": "Filed",
"filing_date": "2026-04-11",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "February",
"status": "Filed",
"filing_date": "2026-03-27",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "February",
"status": "Filed",
"filing_date": "2026-03-10",
"mode_of_filing": "ONLINE"
}
],
"filing_summary": {
"filings": [
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "March",
"filing_date": "2026-04-20",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-04-20",
"days_late": 0,
"is_on_time": true
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "March",
"filing_date": "2026-04-11",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-04-11",
"days_late": 0,
"is_on_time": true
},
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "February",
"filing_date": "2026-03-27",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-03-20",
"days_late": 7,
"is_on_time": false
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "February",
"filing_date": "2026-03-10",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-03-11",
"days_late": 0,
"is_on_time": true
}
],
"total_filings": 4,
"overall": {
"total": 4,
"filed": 4,
"not_filed": 0,
"on_time": 3,
"late": 1,
"on_time_percentage": 75
},
"by_return_type": {
"GSTR3B": {
"total": 2,
"filed": 2,
"not_filed": 0,
"on_time": 1,
"late": 1,
"on_time_percentage": 50
},
"GSTR1": {
"total": 2,
"filed": 2,
"not_filed": 0,
"on_time": 2,
"late": 0,
"on_time_percentage": 100
}
},
"by_financial_year": {
"2025-2026": {
"total": 4,
"filed": 4,
"not_filed": 0,
"on_time": 3,
"late": 1,
"on_time_percentage": 75
}
}
}
}
}Checks
GST registration
Verify a GSTIN is registered and return the registry’s record of the business.
POST
/
gst
/
v1
/
gst-info.1
GST registration
curl --request POST \
--url https://api.privue.ai/gst/v1/gst-info.1 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"gstin": "<string>"
}
'import requests
url = "https://api.privue.ai/gst/v1/gst-info.1"
payload = { "gstin": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({gstin: '<string>'})
};
fetch('https://api.privue.ai/gst/v1/gst-info.1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"reasons": [],
"details": {
"gstin": "27AAACE1234F1Z6",
"legal_name": "EXAMPLE TECHNOLOGIES PRIVATE LIMITED",
"trade_name": "EXAMPLE TECH",
"registration_date": "2017-07-01",
"cancellation_date": null,
"registration_status": "Active",
"jurisdiction": {
"state": "STATE - MAHARASHTRA,ZONE - MUMBAI,DIVISION - EAST,CHARGE - ANDHERI_EAST_701",
"central": "STATE - CBIC,ZONE - MUMBAI,COMMISSIONERATE - MUMBAI EAST,DIVISION - DIVISION IV"
},
"primary_business_address": {
"street": "UNIT 402, 4TH FLOOR, TECH PARK, ANDHERI KURLA ROAD, ANDHERI EAST",
"city": "MUMBAI",
"state": "Maharashtra",
"country": "India",
"postal_code": "400093"
},
"other_business_address": null,
"business_constitution": "Private Limited Company",
"business_nature": [
"Supplier of Services",
"Office / Sale Office"
],
"taxpayer_type": "Regular",
"e_invoice_mandated": true,
"aggregate_turnover": "Slab: Rs. 5 Cr. to 25 Cr.",
"authorized_signatory": [
"Rahul Mehta",
"Priya Nair"
],
"business_details": {
"goods_details": [],
"service_details": [
{
"service_description": "Information technology (IT) design and development services",
"sac_code": "998314"
}
]
},
"gross_total_income": "Slab: Rs. 1 Cr. to 5 Cr.",
"gross_total_income_financial_year": "2024-25",
"filings": [
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "March",
"status": "Filed",
"filing_date": "2026-04-20",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "March",
"status": "Filed",
"filing_date": "2026-04-11",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "February",
"status": "Filed",
"filing_date": "2026-03-27",
"mode_of_filing": "ONLINE"
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "February",
"status": "Filed",
"filing_date": "2026-03-10",
"mode_of_filing": "ONLINE"
}
],
"filing_summary": {
"filings": [
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "March",
"filing_date": "2026-04-20",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-04-20",
"days_late": 0,
"is_on_time": true
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "March",
"filing_date": "2026-04-11",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-04-11",
"days_late": 0,
"is_on_time": true
},
{
"return_type": "GSTR3B",
"financial_year": "2025-2026",
"tax_period": "February",
"filing_date": "2026-03-27",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-03-20",
"days_late": 7,
"is_on_time": false
},
{
"return_type": "GSTR1",
"financial_year": "2025-2026",
"tax_period": "February",
"filing_date": "2026-03-10",
"status": "Filed",
"mode_of_filing": "ONLINE",
"due_date": "2026-03-11",
"days_late": 0,
"is_on_time": true
}
],
"total_filings": 4,
"overall": {
"total": 4,
"filed": 4,
"not_filed": 0,
"on_time": 3,
"late": 1,
"on_time_percentage": 75
},
"by_return_type": {
"GSTR3B": {
"total": 2,
"filed": 2,
"not_filed": 0,
"on_time": 1,
"late": 1,
"on_time_percentage": 50
},
"GSTR1": {
"total": 2,
"filed": 2,
"not_filed": 0,
"on_time": 2,
"late": 0,
"on_time_percentage": 100
}
},
"by_financial_year": {
"2025-2026": {
"total": 4,
"filed": 4,
"not_filed": 0,
"on_time": 3,
"late": 1,
"on_time_percentage": 75
}
}
}
}
}Authorizations
Your API key, sent as Authorization: Bearer <your-key>.
Body
application/json
The GSTIN to read from the GST registry.
GST identification number to verify
Pattern:
^\d{2}[A-Z]{5}\d{4}[A-Z]{1}[A-Z\d]{1}Z[A-Z\d]{1}$Response
Successful Response
The GST registration behind a GSTIN; details is null when the registry holds none.
